Subject: [bug#73216] [PATCH 1/2] gnu: Add emacs-org-texlive-collection.

From: Liliana Marie Prikler <[email-masked]>
Date: Fri, 13 Sep 2024 16:30:08 +0200

Am Freitag, dem 13.09.2024 um 23:16 +0900 schrieb Maxim Cournoyer:
> Hi Liliana,
> 
> Liliana Marie Prikler <[email-masked]> writes:
> 
> [...]
> 
> > > +(define-public emacs-org-texlive-collection
> > > +  (package
> > > +    (inherit emacs-org)
> > > +    (name "emacs-org-texlive-collection")
> > > +    (source #f)
> > > +    (build-system trivial-build-system)
> > > +    (arguments (list #:builder #~(mkdir #$output)))
> > > +    (native-inputs '())
> > > +    (inputs '())
> > > +    (propagated-inputs
> > > +     (list texlive-amsmath
> > > +           texlive-capt-of
> > > +           texlive-graphics             ;for graphicx, rotating
> > > +           texlive-hyperref
> > > +           texlive-titling
> > > +           texlive-tools                ;for longtable
> > > +           texlive-ulem
> > > +           texlive-wrapfig
> > > +           texlive-scheme-small))      ;for amsfonts, fontspec,
> > > inputenc, etc.
> > Nitpick: these comments are not aligned.
> 
> This is actually how Emacs aligns them automatically, which I tend to
> stick to to avoid noise in diffs.
You might want to press M-; on that last one – I don't think it's
aligned as per Emacs.

> > As a personal thing, I also suggest using a space between ; and
> > for, but I see both styles used in Guix.
> 
> A space following ';' for inline comments is actually what seems to
> be our adopted convention (see "Riastradh's Lisp Style Rules",
> https://mumble.net/~campbell/scheme/style.txt referenced from (info
> '(guix) Formatting Code')).
> 
> I must have dreamt Ludo suggestion to drop the space at some point in
> the distant past. I'll try to go back to '; comment' in my code, I
> guess!
Oh, good to know!

Cheers